Skip to main content
`Ctrl`+`K`

# DMNetworkGetSupportingEdges

Return the supporting edges for this vertex point

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSupportingEdges(DM dm, PetscInt vertex, PetscInt *nedges, PeOp const PetscInt *edges[])

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- vertex - the vertex point

## Output Parameters

- nedges - number of edges connected to this vertex point

- edges - list of edge points, pass `NULL` if not needed

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkGetConnectedVertices()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages